# -*- Mode: ruby; indent-tabs-mode: nil -*-
#
#  $Id
#
#  Copyright (c) 2003 FUJIMOTO Hisakuni <hisa@fobj.com>
#
#  This program is free software.
#  You can distribute/modify this program under the terms of
#  the GNU Lesser General Public License version 2.
#
module Tempura
  module Version
    VERSION = "0.1.2"
    STAGE = "release"
    RELEASE_DATE = "2004-02-06"

    def self.to_s
      str = VERSION.dup
      if STAGE != 'release' then
        str << STAGE[0].chr.downcase << "-" << RELEASE_DATE.tr('-','')
      end
      return str
    end

  end
end
